schema_version: 7.0
type: producer
identifier: glaxnimate
title: Glaxnimate Animation
version: 1
copyright: Meltytech, LLC
license: GPLv3
language: en
tags:
  - Video
description: Reads a variety of 2D animations
parameters:
  - identifier: resource
    argument: yes
    title: File
    type: string
    required: yes
    mutable: no

  - identifier: background
    title: Background color
    type: color
    mutable: yes
    default: '#00000000'

  - identifier: refresh
    title: Refresh
    type: boolean
    description: >
      Set this to reload the animation from the resource the next an image is
      requested. This property is cleared when it has been refreshed.
    mutable: yes

  - identifier: meta.media..frame_rate
    title: Animation frame rate
    type: float
    readonly: yes

  - identifier: first_frame
    title: First frame number
    type: integer
    description: >
      This returns the first frame number in the animation file as they do not
      always start with 0. This value is converted to the associated MLT
      profile frame rate.
    readonly: yes
